<?php
class inicioActions extends wtActions
{
    public function executeIndex()
    {
        $o_utilGenerateId = new utilGenerateId();
        $o_utilGenerateId->setIdCompania( myUser::getUser()->getIdBusiness() );
        $o_utilGenerateId->setTipoCorrelativo( "INV" );
        $o_utilGenerateId->setSerie( "DET" );
        $i_Id = $o_utilGenerateId->generateId();
        pr( $i_Id );
        
        $o_utilGenerateId = new utilGenerateId();
        $o_utilGenerateId->setIdCompania( myUser::getUser()->getIdBusiness() );
        $o_utilGenerateId->setTipoCorrelativo( "INV" );
        $o_utilGenerateId->setSerie( "PES" );
        $i_Id = $o_utilGenerateId->generateId();
        pr( $i_Id );
        
        return ViewResponse::NONE;
    }
    
    public function executeList()
    {
        $this->block = $this->getRequestParameter( 'block' );
        
    }
    
    public function executeGrid()
    {
        $this->block = $this->getRequestParameter( 'block' );
        
        ViewResponse::getInstance()->setMethodAjax();
    }
}